
QGIS Application - Bug report #206

Various dialog boxes don't remember their location and size

2006-07-25 02:23 AM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 10265

Description

Quite a few of the dialog boxes in qgis don't remember their location and size - I think that they should. Culprits include:

    -  line and area measure

    -  help viewer

    -  all of the plugin dialogs

    -  attribute table

    -  bookmarks

The identify results, the qgis window, the printer composer do remember their size and position.

History

#1 - 2006-12-19 09:49 PM - Tom Elwertowski

The fix for #440 can be added to these too.

#2 - 2007-07-21 09:18 PM - Tim Sutton

Changed to minor under the following scheme:

    -  blocker - bugs that should block the release. Since we are going to release pretty much 'come what may' I would like no bugs

    -  allocated to this category without consultation with me and / or PSC

    -  critical - bugs that cause the application to crash or corrupt data

    -  major - application features that do not function at all

    -  minor - features that function but imerfectly e.g. labels placing incorrectly

    -  trivial - gui useability issues or small issues with the documentation, install notes etc.

#3 - 2008-11-29 04:35 AM - Brendon Wolff-Piggott -

Replying to [comment:2 timlinux]:

Changed to minor under the following scheme:    -  blocker - bugs that should block the release. Since we are going to release pretty much 'come

what may' I would like no bugs

    -  allocated to this category without consultation with me and / or PSC

    -  critical - bugs that cause the application to crash or corrupt data

    -  major - application features that do not function at all

    -  minor - features that function but imerfectly e.g. labels placing incorrectly

    -  trivial - gui useability issues or small issues with the documentation, install notes etc.
================================

Checked this on QGIS 1.0.0 Preview II.  Confirmed behaviour fixed for:

1. Line and Area Measure 

2. Attribute Table

3. Help Contents

Dialogs that still had this problem:

1. New Bookmark

2. Show Bookmarks

3. Plug-ins:

  All Tested - from "Add WFS" to "Georeferencer"

#4 - 2008-11-29 04:35 AM - Brendon Wolff-Piggott -

Replying to [comment:3 brendonwp]:

Replying to [comment:2 timlinux]:

Changed to minor under the following scheme:    -  blocker - bugs that should block the release. Since we are going to release pretty much 'come

what may' I would like no bugs

    -  allocated to this category without consultation with me and / or PSC

    -  critical - bugs that cause the application to crash or corrupt data

    -  major - application features that do not function at all

    -  minor - features that function but imerfectly e.g. labels placing incorrectly

    -  trivial - gui useability issues or small issues with the documentation, install notes etc.

================================

Checked this on QGIS 1.0.0 Preview II.  Confirmed behaviour fixed for:

1. Line and Area Measure 

2. Attribute Table

3. Help Contents

Dialogs that still had this problem:

1. New Bookmark

2. Show Bookmarks

3. Plug-ins:

All Tested - from "Add WFS" to "Georeferencer"

#5 - 2009-07-04 02:28 PM - Giovanni Manghi

Made a few tests with QGis 1.2 (rev. 11019):

    -  line and area measure -> ok

    -  help viewer -> now a html page?

    -  all of the plugin dialogs -> tested core plugins, not ok

    -  attribute table -> ok

    -  bookmarks -> size ok, position not ok

    -  identify results -> ok

    -  print composer -> ok

    -  new bookmark -> not ok
    -  open project -> not ok

    -  save project as -> not ok

    -  add vector, raster, postgis, spatialite, wms -> not ok

    -  gps tools -> not ok

    -  new vector -> not ok

    -  open mapset -> ok

    -  new mapset -> size ok, position not ok

    -  add grass vector -> ok

    -  add grass raster -> ok

    -  new grass vector -> not ok

    -  grass toolbox -> size ok, position not ok

    -  edit current grass region -> ok

#6 - 2011-10-27 10:43 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Assignee deleted (Tom Elwertowski)

see also #4133

#7 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-01-12 09:09 AM - Alexander Bruy

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

GPSTools plugin dialog fixed in commit:1c3117e3cb

#9 - 2012-01-17 05:07 AM - Alexander Bruy

Most core plugins fixed in commit:2e7867a14e

#10 - 2012-01-18 09:10 AM - Alexander Bruy

commit:03d3bed548 fixes WFS dialog

#11 - 2012-01-19 08:54 AM - Alexander Bruy

And commit:27249d88d1 fixes almost all core dialogs.

#12 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#13 - 2012-08-16 10:02 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0
- Operating System deleted (All)

- Status info deleted (0)

add to the list:

vector options -> style -> change -> svg fill -> ...

that is the dialog that allows the user to pick a svg file that is not part of the svg QGIS library.

#14 - 2014-01-03 03:54 AM - Nathan Woodrow

- Tag set to easy

#15 - 2014-06-02 03:24 AM - Nathan Woodrow

- Status changed from Open to Closed

- Resolution set to fixed/implemented

I have just recently gone though and implemented this for a lot of dialogs.  Please test and reopen if there are some that have been missed.
